# $Revision: 1.10 $, $Date: 2006/12/26 14:26:32 $
%define		_modname	filter
%define		_status		beta
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - extension for safely dealing with input parameters
Summary(pl):	%{_modname} - rozszerzenie do bezpiecznej obsugi danych wejciowych
Name:		php-pecl-%{_modname}
Version:	0.11.0
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	0255df6106eb36f1bc35e102ce505d9e
URL:		http://pecl.php.net/package/filter/
BuildRequires:	pcre-devel
BuildRequires:	php-devel >= 3:5.1.5-2
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Provides:	php(filter)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
We all know that you should always check input variables, but PHP does
not offer really good functionality for doing this in a safe way. The
Input Filter extension is meant to address this issue by implementing
a set of filters and mechanisms that users can use to safely access
their input data.

In PECL status of this extension is: %{_status}.

%description -l pl
Wiadomo, e trzeba zawsze sprawdza zmienne wejciowe, ale PHP nie
oferuje naprawd dobrej funkcjonalnoci do robienia tego w sposb
bezpieczny. Rozszerzenie Input Filter ma rozwiza ten problem poprzez
zaimplementowanie zestawu filtrw i mechanizmw, ktrych uytkownicy
mog bezpiecznie uywa do dostpu do danych.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure \
	--with-libdir=%{_lib}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/CREDITS
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-filter.spec,v $
Revision 1.10  2006/12/26 14:26:32  adamg
- release 2 (rebuild agains php-5.2

Revision 1.9  2006/11/27 22:08:41  adamg
- updated to 0.11.0
- BuildRequires: pcre-devel

Revision 1.8  2006/11/26 21:56:06  glen
- fix build for amd64; rel 3

Revision 1.7  2006/11/26 15:34:25  glen
- rel 2: add Provides: php(%{_modname})

Revision 1.6  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.5  2006/09/02 22:01:17  adamg
- updated to 0.10.0
- bumped BR: php-devel to 5.1.5-2 due to dependency on ext/pcre/php_pcre.h

Revision 1.4  2005/12/22 12:11:46  glen
- rel 2 (rebuild with new php)

Revision 1.3  2005/11/03 00:19:32  qboosh
- fixed desc (from project page), pl

Revision 1.2  2005/10/31 09:07:45  glen
- up macros requirement

Revision 1.1  2005/10/31 09:00:15  adamg
- new
